# Filter the _speedups.so provides that otherwise comes into the provides
%global __provides_exclude _speedups\\.so

# Github commit hash
%global commit 2c10593a7bcec17b8d3dcca9ba40e24868f8ca5c
%global shortcommit %(c=%{commit}; echo ${c:0:7})


Name:           python-scss
Version:        1.2.0
Release:        %mkrel 6
Summary:        A SCSS compiler for Python

License:        MIT
Group:          Development/Python
URL:            https://github.com/Kronuz/pyScss
Source0:        https://github.com/Kronuz/pyScss/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# Review request for this is filed: https://github.com/Kronuz/pyScss/pull/241
Patch0:         python-scss-remove-shebangs.patch

BuildRequires:  pkgconfig(python2)
BuildRequires:  python-six
BuildRequires:  python-sphinx
BuildRequires:  pcre-devel
Requires:       python-six

%description
A SCSS compiler for Python

%prep
%setup -q -n pyScss-%{commit}
%autopatch -p0


%build
CFLAGS="%{optflags}" %{__python} setup.py build
cd docs
make SPHINXBUILD=sphinx-build man


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
chmod +x %{buildroot}%{python_sitearch}/scss/tool.py
mkdir -p %{buildroot}%{_mandir}/man1/
cp -ar docs/_build/man/pyscss.1 %{buildroot}%{_mandir}/man1/pyscss.1

 
%files
%doc DESCRIPTION README.rst
%{python_sitearch}/*
%{_bindir}/pyscss
%{_mandir}/man1/pyscss.1.*




%changelog
* Mon Feb 08 2016 umeabot <umeabot> 1.2.0-6.mga6
+ Revision: 947008
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-5.mga5
+ Revision: 745990
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.2.0-4.mga5
+ Revision: 729740
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 688321
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Feb 11 2014 colin <colin> 1.2.0-1.mga5
+ Revision: 589296
- Import package python-scss from Fedora


* Wed Nov 06 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.0-2
- Buildrequire set to python2-devel
- Added buildrequire pcre-devel
- Changed URL to Source
- Added -a to cp to retain timestamp

* Thu Oct 17 2013 Patrick Uiterwijk <puiterwijk@gmail.com> - 1.2.0-1
- Initial packaging
